/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Parameters.h"
#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Types.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace select {
namespace select_priority_fixed {


  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Select_Priority_Fixed,"msg_error","Begin");

    Parameters_test test ("Select_Priority_Fixed");

    if ((_encoding_one_hot or _encoding_compact) == false)
      test.error("you must select a less one encoding");

    log_printf(FUNC,Select_Priority_Fixed,"msg_error","End");

    return test;
  };

}; // end namespace select_priority_fixed
}; // end namespace select
}; // end namespace generic
}; // end namespace behavioural
}; // end namespace morpheo              
